Documentation menu
Posting schedule
Read the recurring posting-slot schedule.
GET /posting-schedule
Requires Authorization: Bearer <token>.
Example request
curl 'https://app.shoutrrr.com/api/v1/posting-schedule' \
-H 'Authorization: Bearer <token>' const res = await fetch('https://app.shoutrrr.com/api/v1/posting-schedule', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>',
},
});
const data = await res.json(); import requests
res = requests.get(
'https://app.shoutrrr.com/api/v1/posting-schedule',
headers={'Authorization': 'Bearer <token>'},
)
data = res.json() <?php
$ch = curl_init('https://app.shoutrrr.com/api/v1/posting-schedule');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
],
]);
$data = json_decode(curl_exec($ch), true); Responses
200
| Field | Type | Notes |
|---|---|---|
timezonerequired | string | — |
slotsrequired | object[] | — |
weekdayrequired | integer | — |
hourrequired | integer | — |
minuterequired | integer | — |
| Field | Type | Notes |
|---|---|---|
schedulerequired | null | — |
slotsrequired | string[] | — |
401 Unauthenticated
| Field | Type | Notes |
|---|---|---|
messagerequiredError overview. | string | — |